> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/containers/tabcontrol/wisej.web.tabcontroleventargs.md).

# TabControlEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [Selected](/api/wisej.web/containers/tabcontrol.md#selected) and [Deselected](/api/wisej.web/containers/tabcontrol.md#deselected) events of a [TabControl](/api/wisej.web/containers/tabcontrol.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class TabControlEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class TabControlEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) TabControlEventArgs(tabPage, tabPageIndex, action)

Initializes a new instance of the [TabControlEventArgs](/api/wisej.web/containers/tabcontrol/wisej.web.tabcontroleventargs.md) class.

| Name             | Type                                                                                   | Description                                                                                                       |
| ---------------- | -------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------- |
| **tabPage**      | [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md)                   | The [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md) the event is occurring for.              |
| **tabPageIndex** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                            | The zero-based index of *tabPage* in the [TabPages](/api/wisej.web/containers/tabcontrol.md#tabpages) collection. |
| **action**       | [TabControlAction](/api/wisej.web/containers/tabcontrol/wisej.web.tabcontrolaction.md) | One of the [TabControlAction](/api/wisej.web/containers/tabcontrol/wisej.web.tabcontrolaction.md) values.         |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Action

[TabControlAction](/api/wisej.web/containers/tabcontrol/wisej.web.tabcontrolaction.md): Returns a value indicating which event is occurring.

### ![](/files/hsR4ok3152WyAf8J2C1u) TabPage

[TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md): Returns the [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md) the event is occurring for.

### ![](/files/hsR4ok3152WyAf8J2C1u) TabPageIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the zero-based index of the [TabPage](#tabpage) in the [TabPages](/api/wisej.web/containers/tabcontrol.md#tabpages) collection.

## Used By

| Name                                                                                               | Description                                                                                                                                                                                                                                           |
| -------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [TabControlEventHandler](/api/wisej.web/containers/tabcontrol/wisej.web.tabcontroleventhandler.md) | Represents the method that will handle the [Selected](/api/wisej.web/containers/tabcontrol.md#selected) or [Deselected](/api/wisej.web/containers/tabcontrol.md#deselected) event of a [TabControl](/api/wisej.web/containers/tabcontrol.md) control. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/tabcontrol/wisej.web.tabcontroleventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
